<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function map(fn, array)
        {let result = []   
        for (let i = 0; i < array.length; i++)
        { result.push(fn(array[i]));
        }
        return result;
        };
         const mult = (value) => value;
        console.log(map (mult, [10, 20, 30]));

    </script>
</body>
</html>